Package ch.qos.logback.classic.pattern

# Class MDCConverter

java.lang.Object
ch.qos.logback.core.pattern.Converter<E>
ch.qos.logback.core.pattern.FormattingConverter<E>
ch.qos.logback.core.pattern.DynamicConverter<ILoggingEvent>
ch.qos.logback.classic.pattern.ClassicConverter
ch.qos.logback.classic.pattern.MDCConverter

All Implemented Interfaces:
  `ContextAware`, `LifeCycle`

public class MDCConverter extends ClassicConverter

## Field Summary

### Fields inherited from class ch.qos.logback.core.pattern.DynamicConverter

`started`

## Constructor Summary

Constructors
Constructor
Description
`MDCConverter()`

## Method Summary

Modifier and Type
Method
Description
`String`
`convert(ILoggingEvent event)`
The convert method is responsible for extracting data from the event and storing it for later use by the write method.
`String`
`getKey()`
PrefixCompositeConverter needs the key
`void`
`start()`
Components that depend on options passed during configuration can override this method in order to make appropriate use of those options.
`void`
`stop()`

### Methods inherited from class ch.qos.logback.core.pattern.DynamicConverter

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getFirstOption, getOptionList, isStarted, setContext, setOptionList`

### Methods inherited from class ch.qos.logback.core.pattern.FormattingConverter

`getFormattingInfo, setFormattingInfo, write`

### Methods inherited from class ch.qos.logback.core.pattern.Converter

`getNext, setNext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MDCConverter

public MDCConverter()

## Method Details

### start

public void start()
Description copied from class: `DynamicConverter`
Components that depend on options passed during configuration can override this method in order to make appropriate use of those options. For simpler components, the trivial implementation found in this abstract class will be sufficient.

Specified by:
  `start` in interface `LifeCycle`
Overrides:
  `start` in class `DynamicConverter<ILoggingEvent>`

### stop

public void stop()

Specified by:
  `stop` in interface `LifeCycle`
Overrides:
  `stop` in class `DynamicConverter<ILoggingEvent>`

### convert

public String convert(ILoggingEvent event)
Description copied from class: `Converter`
The convert method is responsible for extracting data from the event and storing it for later use by the write method.

Specified by:
  `convert` in class `Converter<ILoggingEvent>`

### getKey

public String getKey()
PrefixCompositeConverter needs the key

Returns: